<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.example.nexilissamplecodeburger"
    android:enabled="true"
    android:hardwareAccelerated="true">

    <uses-sdk tools:overrideLibrary="
    io.nexilis.service,
    androidx.camera.view,
    androidx.camera.camera2,
    androidx.camera.lifecycle,
    androidx.camera.core" />

    <!-- use Camera permission -->
    <!-- <uses-permission android:name="android.permission.CAMERA" /> -->

    <!-- use Microphone permission -->
    <!-- <uses-permission android:name="android.permission.RECORD_VIDEO" /> -->
    <!-- <uses-permission android:name="android.permission.RECORD_AUDIO" /> -->

    <!-- use Storage permission -->
    <!-- <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /> -->
    <!-- <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> -->

    <!-- use Call permission -->
    <!-- <uses-permission android:name="android.permission.READ_PHONE_STATE" /> -->

    <!-- use Storage for Photos and videos (Android 13) permission -->
    <!-- <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" /> -->
    <!-- <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" /> -->
    <!-- <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" /> -->

    <!-- use Bluetooth permission -->
    <!-- <uses-permission android:name="android.permission.BLUETOOTH" /> -->

    <!-- use change ringtone call and message permission -->
    <!-- <uses-permission android:name="android.permission.WRITE_SETTINGS" /> -->
    <!-- <uses-permission android:name="com.oppo.launcher.permission.READ_SETTINGS" /> -->

    <!-- use SMS permission -->
    <uses-permission android:name="android.permission.RECEIVE_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.WRITE_SMS" />

    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES" />

    <application
        android:allowBackup="false"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.NexilisSampleCodeBurger"
        tools:targetApi="31"
        tools:replace="android:fullBackupContent,android:allowBackup">
        <activity
            android:name=".MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>